## NAME

http - perform HTTP queries from command line

## SYNOPSIS

http <get|head|put|delete> <url>

## DESCRIPTION

http is a tool to perform HTTP queries from the command line. Informations and diagnostic goes to stderr. Data is taken from stdin (for put) or output to stdout (for get). If the environement variable http_proxy exists it will be used as a proxy url.

The following commands are supported

get to send an http GET query. It fetches the given url to standard output.

head gets the header only of the url.

put to send an http PUT query (not recognized by all servers). It reads data from standard input and then send them to the server.

delete
to send an http DELETE query (not recognized by all servers).

## LIMITATIONS

The url is limited to 256 characters.

## EXAMPLE

http get http://www.demailly.com/~dl/wwwtools.html > wwwtools.html

## AUTHOR

Laurent Demailly <L@Demailly.com>. Free software.
(See LICENSE file)

## SEE ALSO

http_lib(3)